﻿-- Скрипт сгенерирован Devart dbForge Studio for MySQL, Версия 5.0.67.1
-- Домашняя страница продукта: http://www.devart.com/ru/dbforge/mysql/studio
-- Дата скрипта: 23.04.2012 14:35:31
-- Версия сервера: 5.5.16-log
-- Версия клиента: 4.1

-- 
-- Отключение внешних ключей
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Установка кодировки, с использованием которой клиент будет посылать запросы на сервер
--
SET NAMES 'utf8';

-- 
-- Установка базы данных по умолчанию
--
USE orgn;

--
-- Описание для таблицы city
--
DROP TABLE IF EXISTS city;
CREATE TABLE city (
  city_id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  CITY_NAME VARCHAR(255) NOT NULL,
  PRIMARY KEY (city_id),
  UNIQUE INDEX CITY_NAME (CITY_NAME)
)
ENGINE = INNODB
AUTO_INCREMENT = 5
AVG_ROW_LENGTH = 5461
CHARACTER SET utf8
COLLATE utf8_general_ci;

--
-- Описание для таблицы cont_groups
--
DROP TABLE IF EXISTS cont_groups;
CREATE TABLE cont_groups (
  group_id INT(11) NOT NULL AUTO_INCREMENT,
  group_name VARCHAR(255) NOT NULL,
  PRIMARY KEY (group_id),
  UNIQUE INDEX group_name (group_name)
)
ENGINE = INNODB
AUTO_INCREMENT = 4
AVG_ROW_LENGTH = 5461
CHARACTER SET utf8
COLLATE utf8_general_ci;

--
-- Описание для таблицы cont_in_groups
--
DROP TABLE IF EXISTS cont_in_groups;
CREATE TABLE cont_in_groups (
  cig_id INT(11) NOT NULL AUTO_INCREMENT,
  people_id INT(11) NOT NULL COMMENT 'код человека',
  cont_group_id INT(11) NOT NULL COMMENT 'Код группы контактов',
  PRIMARY KEY (cig_id)
)
ENGINE = INNODB
AUTO_INCREMENT = 11
AVG_ROW_LENGTH = 2048
CHARACTER SET utf8
COLLATE utf8_general_ci;

--
-- Описание для таблицы peoples
--
DROP TABLE IF EXISTS peoples;
CREATE TABLE peoples (
  people_id INT(11) NOT NULL AUTO_INCREMENT,
  fio VARCHAR(255) NOT NULL COMMENT 'ФИО',
  birthday INT(11) DEFAULT NULL COMMENT 'Дата рождения',
  city INT(11) DEFAULT NULL COMMENT 'Город проживания',
  street INT(11) UNSIGNED DEFAULT NULL COMMENT 'Улица проживания',
  home INT(11) UNSIGNED DEFAULT NULL COMMENT 'Дом',
  corp VARCHAR(10) DEFAULT NULL COMMENT 'корпус',
  flat INT(11) DEFAULT NULL COMMENT 'квартира',
  PRIMARY KEY (people_id),
  UNIQUE INDEX fio (fio)
)
ENGINE = INNODB
AUTO_INCREMENT = 12
AVG_ROW_LENGTH = 5461
CHARACTER SET utf8
COLLATE utf8_general_ci;

--
-- Описание для таблицы streets
--
DROP TABLE IF EXISTS streets;
CREATE TABLE streets (
  street_id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  STREET_NAME VARCHAR(255) NOT NULL,
  PRIMARY KEY (street_id),
  UNIQUE INDEX STREET_NAME (STREET_NAME)
)
ENGINE = INNODB
AUTO_INCREMENT = 6
AVG_ROW_LENGTH = 3276
CHARACTER SET utf8
COLLATE utf8_general_ci;

-- 
-- Вывод данных для таблицы city
--
INSERT INTO city VALUES 
  (3, 'Михайловск'),
  (4, 'Невинномыск'),
  (1, 'Ставрополь');

-- 
-- Вывод данных для таблицы cont_groups
--
INSERT INTO cont_groups VALUES 
  (3, 'Бизнес'),
  (2, 'Дом'),
  (1, 'Работа');

-- 
-- Вывод данных для таблицы cont_in_groups
--
INSERT INTO cont_in_groups VALUES 
  (1, 5, 2),
  (2, 5, 1),
  (5, 5, 3),
  (6, 11, 2),
  (7, 4, 3),
  (8, 10, 2),
  (9, 10, 1),
  (10, 13, 1);

-- 
-- Вывод данных для таблицы peoples
--
INSERT INTO peoples VALUES 
  (4, '55--Петров Петр Петрович 1 ', 277513200, 4, 2, 0, '', 10),
  (10, 'Мостовой Дмитрий Федорович \\', 510015600, 4, 5, 0, '', 15),
  (11, 'Дмитриев Николай Александрович', 316306800, 1, 1, 186, '1', 48);

-- 
-- Вывод данных для таблицы streets
--
INSERT INTO streets VALUES 
  (5, 'Доваторцев'),
  (2, 'Ленина'),
  (3, 'Михайловское шоссе'),
  (1, 'Октябрьская'),
  (4, 'Руставели');

-- 
-- Включение внешних ключей
-- 
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;