
function mxl_showErrorByResponseText(responseText, baseMsg){
  var validate = Ext.util.JSON.decode(responseText).validate;
  var error = Ext.util.JSON.decode(responseText).error;
  if (validate){
    Ext.Msg.alert("Ошибка", baseMsg + "<br><br>Ошибка при валидации:<br>"+ validate);
  } else if (error){
    Ext.Msg.alert("Ошибка", baseMsg + "<br><br>Ошибка:<br>" + error);
  } else {
    Ext.Msg.alert("Ошибка", baseMsg);
  }
}

var mxl_wgs_time_shift = 0;
var mxl_wgs_server_time_zone = '-5';

var store_dbg_refpeoples1;
var dbg_refpeoples1;

store_dbgcbx_dbg_refpeoples1_city= new Ext.data.Store({
  reader: new Ext.data.JsonReader({
    id:"store_dbgcbx_dbg_refpeoples1_city",
    root: "rows"
    },
    [
    {name: "city_id", type: "string", mapping:"city_id"},
    {name: "city_name", type: "string", mapping:"city_name"}
    ]),
  proxy: new Ext.data.HttpProxy({
    url: "src/widget/request/getcombobox.php",
    method: "POST"
    }),
  autoLoad: false,  baseParams:{comboName: "cbx_city_dbsql", params:"{\"showFlat\":\"1\"}"}
  });

store_dbgcbx_dbg_refpeoples1_city.load();

store_dbgcbx_dbg_refpeoples1_street= new Ext.data.Store({
  reader: new Ext.data.JsonReader({
    id:"store_dbgcbx_dbg_refpeoples1_street",
    root: "rows"
    },
    [
    {name: "street_id", type: "string", mapping:"street_id"},
    {name: "street_name", type: "string", mapping:"street_name"}
    ]),
  proxy: new Ext.data.HttpProxy({
    url: "src/widget/request/getcombobox.php",
    method: "POST"
    }),
  autoLoad: false,  baseParams:{comboName: "cbx_street_dbsql", params:"{\"showFlat\":\"1\"}"}
  });

store_dbgcbx_dbg_refpeoples1_street.load();

function on_refpeoples_specialkey(f, e) {
  if (e.getKey() == Ext.EventObject.ENTER) {
    e.keyCode = Ext.EventObject.TAB;
    dbg_gbg28.fireEvent("keypress", e);
  }
}
var edit_refpeoples_people_id = new Ext.form.NumberField({
  decimalPrecision: 0,
  listeners:{specialkey:on_refpeoples_specialkey}
});
var edit_refpeoples_fio = new Ext.form.TextField({maxLength:250, listeners:{specialkey:on_refpeoples_specialkey}});
var edit_refpeoples_birthday = new Ext.form.DateField({format: "d.m.Y", listeners:{specialkey:on_refpeoples_specialkey}});var edit_refpeoples_city = dbgcbx_dbg_refpeoples1_city = new Ext.form.ClearableComboBox({
  store: store_dbgcbx_dbg_refpeoples1_city,
  valueField:"city_id",
  displayField:"city_name",
  mode: "local",
  typeAhead: true,
  editable: true,
  minChars: 0,
  forceSelection: false,
  selectOnFocus: false,
  listWidth: 300,
  triggerAction: "all",
  emptyText:"Выберите город...",
  lazyRender: true
  });

edit_refpeoples_city.on("specialkey", on_refpeoples_specialkey);
var edit_refpeoples_street = dbgcbx_dbg_refpeoples1_street = new Ext.form.ClearableComboBox({
  store: store_dbgcbx_dbg_refpeoples1_street,
  valueField:"street_id",
  displayField:"street_name",
  mode: "local",
  typeAhead: true,
  editable: true,
  minChars: 0,
  forceSelection: false,
  selectOnFocus: false,
  listWidth: 300,
  triggerAction: "all",
  emptyText:"Выберите улицу...",
  lazyRender: true
  });

edit_refpeoples_street.on("specialkey", on_refpeoples_specialkey);
var edit_refpeoples_home = new Ext.form.NumberField({
  decimalPrecision: 0,
  listeners:{specialkey:on_refpeoples_specialkey}
});
var edit_refpeoples_corp = new Ext.form.TextField({maxLength:11, listeners:{specialkey:on_refpeoples_specialkey}});
var edit_refpeoples_flat = new Ext.form.NumberField({
  decimalPrecision: 0,
  listeners:{specialkey:on_refpeoples_specialkey}
});


var record_refpeoples1= Ext.data.Record.create([
  {name:"people_id, type:int"},
  {name:"fio, type:string"},
  {name:"birthday, type:date"},
  {name:"city, type:string"},
  {name:"street, type:string"},
  {name:"home, type:int"},
  {name:"corp, type:string"},
  {name:"flat, type:int"}
   ]);
var store_dbg_refcont_in_groups1;
var dbg_refcont_in_groups1;

store_dbgcbx_dbg_refcont_in_groups1_group_name= new Ext.data.Store({
  reader: new Ext.data.JsonReader({
    id:"store_dbgcbx_dbg_refcont_in_groups1_group_name",
    root: "rows"
    },
    [
    {name: "group_id", type: "string", mapping:"group_id"},
    {name: "group_name", type: "string", mapping:"group_name"}
    ]),
  proxy: new Ext.data.HttpProxy({
    url: "src/widget/request/getcombobox.php",
    method: "POST"
    }),
  autoLoad: false,  baseParams:{comboName: "cbx_group_dbsql", params:"{\"people_id\":-1}"}
  });

store_dbgcbx_dbg_refcont_in_groups1_group_name.load();

function on_refсont_in_groups_specialkey(f, e) {
  if (e.getKey() == Ext.EventObject.ENTER) {
    e.keyCode = Ext.EventObject.TAB;
    dbg_gbg28.fireEvent("keypress", e);
  }
}
var edit_refсont_in_groups_cig_id = new Ext.form.NumberField({
  decimalPrecision: 0,
  listeners:{specialkey:on_refсont_in_groups_specialkey}
});
var edit_refсont_in_groups_people_id = new Ext.form.NumberField({
  decimalPrecision: 0,
  listeners:{specialkey:on_refсont_in_groups_specialkey}
});
var edit_refсont_in_groups_cont_group_id = new Ext.form.NumberField({
  decimalPrecision: 0,
  listeners:{specialkey:on_refсont_in_groups_specialkey}
});
var edit_refсont_in_groups_group_name = dbgcbx_dbg_refcont_in_groups1_group_name = new Ext.form.ComboBox({
  store: store_dbgcbx_dbg_refcont_in_groups1_group_name,
  valueField:"group_id",
  displayField:"group_name",
  mode: "local",
  typeAhead: true,
  editable: true,
  minChars: 0,
  forceSelection: false,
  selectOnFocus: false,
  listWidth: 500,
  triggerAction: "all",
  emptyText:"Выберите группу...",
  lazyRender: true
  });

edit_refсont_in_groups_group_name.on("specialkey", on_refсont_in_groups_specialkey);


var record_refcont_in_groups1= Ext.data.Record.create([
  {name:"cig_id, type:int"},
  {name:"people_id, type:int"},
  {name:"cont_group_id, type:int"},
  {name:"group_name, type:string"}
   ]);

function mxl_onbeforeunload(){
  var err_str = "";
  if (store_dbg_refpeoples1.getModifiedRecords().length > 0){
    var not_saved_rows = store_dbg_refpeoples1.getModifiedRecords().length;
    err_str += "    \"Справочник: Люди\" - " + not_saved_rows + 
      (not_saved_rows == 1 ? " строка" : " строк");
  }
  if (store_dbg_refcont_in_groups1.getModifiedRecords().length > 0){
    var not_saved_rows = store_dbg_refcont_in_groups1.getModifiedRecords().length;
    err_str += "    \"Группы контакта\" - " + not_saved_rows + 
      (not_saved_rows == 1 ? " строка" : " строк");
  }
  if (err_str)
    return "Вы не сохранили изменения в: \n " + 
      err_str + " \n Вы уверены, что хотите уйти со страницы?\n";
};

function startAutoGenScript(){
function sumRenderer_dbg_refpeoples1_home(v, params, data){
  params.attr = 'ext:qtip="home ids summary value"';
  return v;
};
store_dbg_refpeoples1 = new Ext.data.Store({
  remoteSort: true,
  reader: new Ext.data.JsonReader({
  id:"store_dbg_refpeoples1",
  root: "rows",
  totalProperty: "total"
  },
  [
  {name: "people_id",  type: "int", mapping:"people_id"},
  {name: "fio",  type: "string", mapping:"fio"},
  {name: "birthday",  type: "date", mapping:"birthday"},
  {name: "city",  type: "string", mapping:"city"},
  {name: "street",  type: "string", mapping:"street"},
  {name: "home",  type: "int", mapping:"home"},
  {name: "corp",  type: "string", mapping:"corp"},
  {name: "flat",  type: "int", mapping:"flat"}
  ]),
  pruneModifiedRecords: true,  proxy: new Ext.data.HttpProxy({
  url: "src/widget/request/getdbgrid.php",
  method: "POST"
  }),
  baseParams:{gridName: "refpeoples", pkey: "people_id", params:"{\"showFlat\":\"1\"}", sid:""},
  listeners: {update : strgOnUpdate_store_dbg_refpeoples1}
  });
store_dbg_refpeoples1.baseParams['start'] = 0;
store_dbg_refpeoples1.baseParams['limit'] = 50;

var dbg_refpeoples1_summary = new Ext.ux.grid.GridSummary();
dbg_refpeoples1 = new Ext.grid.EditorGridPanel({  title: "Справочник: Люди" +
"<span id='dbg_refpeoples1_notsavedrows'></span>",
  store: store_dbg_refpeoples1,
  applyTo: "dbg_refpeoples1",
  loadMask: true,  sm: new Ext.grid.RowSelectionModel({ singleSelect: true   }),
  frame: true,
  height:300,
  width:800,
  autoEncode: true, 
  listeners: {afteredit : grdOnAfterEdit_dbg_refpeoples1},
  tools:[{id:"refresh", qtip: "Обновить данные", handler: dbgRefreshData_refpeoples1, scope:dbg_refpeoples1},
         {id:"plus",    qtip: "Добавить строку", handler: dbgAppendRow_refpeoples1, scope:dbg_refpeoples1},
         {id:"minus",   qtip: "Удалить строку", handler: dbgDeleteRow_refpeoples1, scope:dbg_refpeoples1 },
         {id:"save",    qtip: "Сохранить данные", handler: dbgSaveRow_refpeoples1, scope:dbg_refpeoples1 }
   ],
  clicksToEdit: 2,
  columns: [
   {header: "Код", dataIndex: "people_id", width: 60, align: "right" , readOnly: true, hidden: true, sortable: true},
   {header: "Ф.И.О.", dataIndex: "fio", width: 210, editor: edit_refpeoples_fio, sortable: true},
   {header: "Дата<br>рождения", dataIndex: "birthday", width: 72, editor: edit_refpeoples_birthday, renderer: Ext.util.Format.dateRenderer("d.m.Y"), sortable: true},
   {header: "Город", dataIndex: "city", width: 150, editor: edit_refpeoples_city, renderer: Ext.util.Format.comboRenderer(edit_refpeoples_city), sortable: true},
   {header: "Улица", dataIndex: "street", width: 150, editor: edit_refpeoples_street, renderer: Ext.util.Format.comboRenderer(edit_refpeoples_street), sortable: true},
   {header: "Дом", dataIndex: "home", width: 48, editor: edit_refpeoples_home, align: "right" , summaryType: "sum", summaryRenderer: sumRenderer_dbg_refpeoples1_home, sortable: true},
   {header: "Корп.", dataIndex: "corp", width: 42, editor: edit_refpeoples_corp, sortable: true},
   {header: "Кв.", dataIndex: "flat", width: 42, editor: edit_refpeoples_flat, align: "right" , sortable: true}
  ]
   ,bbar: new Ext.PagingToolbar({
        pageSize: 50,
        store: store_dbg_refpeoples1,
        displayInfo: true,
        displayMsg: "Показаны строки {0} - {1} из {2}",
        emptyMsg: "Нет данных для отображения"
    })
, plugins: [dbg_refpeoples1_summary]
,tbar : [{
   text: "Показать/спрятать строку итогов",
   tooltip: "Toggle the visibility of summary row",
   handler: function(){dbg_refpeoples1_summary.toggleSummary();}
}," | ","<span id='dbg_refpeoples1_totalspan'></span>"]
  });

function dbgGridUpdateInf_dbg_refpeoples1(grid){
  var el = Ext.get("dbg_refpeoples1_notsavedrows").dom;
  var nsr_str = "";
  var notSavedRows = grid.getStore().getModifiedRecords().length;
  if (notSavedRows > 0){
    nsr_str = "  &nbsp&nbsp[Не сохраненные строки: <font color=red>" 
      + notSavedRows + "</font>] ";
  }
  if (el)
    el.innerHTML = nsr_str;
};

var total_str = "people_id Count:  '3'.";
var el = Ext.get("dbg_refpeoples1_totalspan").dom;
if (el && total_str)
	el.innerHTML = total_str;


function onSelect_dbgcbx_dbg_refpeoples1_city(combo, record, index)
{
  var sm = dbg_refpeoples1.getSelectionModel();
  var sel = sm.getSelected();
  sel.set("city", edit_refpeoples_city.getValue());
}


function onSelect_dbgcbx_dbg_refpeoples1_street(combo, record, index)
{
  var sm = dbg_refpeoples1.getSelectionModel();
  var sel = sm.getSelected();
  sel.set("street", edit_refpeoples_street.getValue());
}

edit_refpeoples_city.addListener('select', onSelect_dbgcbx_dbg_refpeoples1_city);
edit_refpeoples_city.addListener('cleared', onSelect_dbgcbx_dbg_refpeoples1_city);

edit_refpeoples_street.addListener('select', onSelect_dbgcbx_dbg_refpeoples1_street);
edit_refpeoples_street.addListener('cleared', onSelect_dbgcbx_dbg_refpeoples1_street);

store_dbg_refpeoples1.allready_first_load = false;
if (store_dbg_refpeoples1.need_loaded_elements=== undefined){ 
  store_dbg_refpeoples1.need_loaded_elements = [];
}
store_dbg_refpeoples1.need_loaded_elements['edit_refpeoples_city'] = false;
edit_refpeoples_city.store.on("load", function(store, records, options) {
  store_dbg_refpeoples1.need_loaded_elements['edit_refpeoples_city'] = true;
  if (store_dbg_refpeoples1.allready_first_load!==true) {
    mxl_check_and_load_grid_store(store_dbg_refpeoples1,false);
  }
});
if (store_dbg_refpeoples1.need_loaded_elements=== undefined){ 
  store_dbg_refpeoples1.need_loaded_elements = [];
}
store_dbg_refpeoples1.need_loaded_elements['edit_refpeoples_street'] = false;
edit_refpeoples_street.store.on("load", function(store, records, options) {
  store_dbg_refpeoples1.need_loaded_elements['edit_refpeoples_street'] = true;
  if (store_dbg_refpeoples1.allready_first_load!==true) {
    mxl_check_and_load_grid_store(store_dbg_refpeoples1,false);
  }
});
function dbgAppendRow_refpeoples1(event, toolEl, panel) {
  var newRecord = new record_refpeoples1({});
  var sel = panel.getSelectionModel().getSelected();
  var selIndex = 1;
  if (sel) 
    selIndex += panel.getStore().indexOf(sel)
  else 
    selIndex = panel.getStore().getCount();
  panel.getStore().insert(selIndex, newRecord);
  panel.getSelectionModel().selectRow(selIndex);
  panel.getView().focusRow(selIndex);
}

function grdOnAfterEdit_dbg_refpeoples1(e){
  var rec = e.record;
};
function strgOnUpdate_store_dbg_refpeoples1(e){
  dbgGridUpdateInf_dbg_refpeoples1(dbg_refpeoples1);
};
function dbgDeleteRow_refpeoples1(event, toolEl, panel){
 var sm = panel.getSelectionModel();
 var sel = sm.getSelected();
 if (sm.hasSelection()){
    Ext.Msg.show({
    title: "Удаление строки",
    buttons: Ext.MessageBox.YESNO,
    msg:"Вы уверены что хотите удалить выбранные строки из \"" + panel.title + "\"?", 
    fn: function(btn){
         if (btn == "yes"){
          if (sel.get(panel.store.baseParams["pkey"]) > 0)  {
             var conn = new Ext.data.Connection();
             conn.request({
             url: "src/widget/request/getdbgrid.php",
             params: {
             action: "delete",
             gridName: panel.getStore().baseParams["gridName"],
             params: panel.getStore().baseParams["params"],
             key: sel.get(panel.getStore().baseParams["pkey"])
            ,sid:""
               },
             success: function(resp,opt) {
               var fail = Ext.util.JSON.decode(resp.responseText).failure;
               if (fail) {
                 mxl_showErrorByResponseText(resp.responseText, "Не удалось удалить строку");
                } else {
            var total_str = Ext.util.JSON.decode(resp.responseText).total_str;
            var el = Ext.get("dbg_refpeoples1_totalspan").dom;
            if (el && total_str)
              el.innerHTML = total_str;

                 panel.getStore().remove(sel);
                 dbgGridUpdateInf_dbg_refpeoples1(dbg_refpeoples1);
               }
              },
             failure: function(resp,opt) {
               Ext.Msg.alert("Ошибка", "Не удалось удалить строку");
              }
             });
            } else {
               panel.getStore().remove(sel);
               dbgGridUpdateInf_dbg_refpeoples1(dbg_refpeoples1);
            }
          }
        }
    })
 } else {
     Ext.MessageBox.alert("Сообщение", "Не выбрана строка." )
 };
};
function dbgRefreshData_refpeoples1(event, toolEl, panel){
  panel.getStore().rejectChanges();
  panel.getStore().reload();
  strgOnUpdate_store_dbg_refpeoples1(panel.getStore());
};
function dbgSaveRow_refpeoples1(event, toolEl, panel) {
  var sm = panel.getSelectionModel();
  var modRec = sm.grid.store.getModifiedRecords();
  if (modRec.length < 1)
	  return;

  var pKey = panel.getStore().baseParams["pkey"];
  var keys       = new Array();
  var recordIds  = new Array();
  var rowsTS = new Array();
  for ( var i = 0; i < modRec.length; i++) {
    var curRec   = modRec[i];

    rowsTS[i]    = curRec.data;
    recordIds[i] = curRec.id;
    key1 = curRec.get(pKey);
    keys[i]      = (key1 ? key1 : "");
  }
  var keysData   = Ext.encode(keys);
  var rowsTSData = Ext.encode(rowsTS);

  var conn = new Ext.data.Connection();  conn.request({    url: "src/widget/request/getdbgrid.php",
    params: {
      action: "saverows",
      gridName: panel.getStore().baseParams["gridName"],
      params: panel.getStore().baseParams["params"],
      keys: keysData,
      rowsData: rowsTSData
      ,sid:""
    },
    success: function(resp,opt) {
      var fail = Ext.util.JSON.decode(resp.responseText).failure;
      if (fail) {
        mxl_showErrorByResponseText(resp.responseText, "Не удалось сохранить данные");
      } else {
            var total_str = Ext.util.JSON.decode(resp.responseText).total_str;
            var el = Ext.get("dbg_refpeoples1_totalspan").dom;
            if (el && total_str)
              el.innerHTML = total_str;

        var row_is_saved = Ext.util.JSON.decode(resp.responseText).row_is_saved;
        var insert_ids   = Ext.util.JSON.decode(resp.responseText).insert_ids;
        for(var i = 0; i < row_is_saved.length; i++){
        	if (row_is_saved[i]){
        		var insert_id = insert_ids[i];
        		var recordToCh = sm.grid.store.getById(recordIds[i]);
        		if (insert_id > 0)
        			recordToCh.set(pKey, insert_id);
        		recordToCh.commit();
        	}else
        		Ext.Msg.alert("Ошибка", "Не удалось сохранить данные");
        }
      }
    },
    failure: function(resp,opt) {
      Ext.Msg.alert("Ошибка", "Не удалось сохранить данные");
    }
  });
}

store_dbg_refcont_in_groups1 = new Ext.data.Store({
  reader: new Ext.data.JsonReader({
  id:"store_dbg_refcont_in_groups1",
  root: "rows"
  },
  [
  {name: "cig_id",  type: "int", mapping:"cig_id"},
  {name: "people_id",  type: "int", mapping:"people_id"},
  {name: "cont_group_id",  type: "int", mapping:"cont_group_id"},
  {name: "group_name",  type: "string", mapping:"group_name"}
  ]),
  pruneModifiedRecords: true,  proxy: new Ext.data.HttpProxy({
  url: "src/widget/request/getdbgrid.php",
  method: "POST"
  }),
  baseParams:{gridName: "refcont_in_groups", pkey: "cig_id", params:"{\"people_id\":-1}", sid:""},
  listeners: {update : strgOnUpdate_store_dbg_refcont_in_groups1}
  });

dbg_refcont_in_groups1 = new Ext.grid.EditorGridPanel({  title: "Группы контакта" +
"<span id='dbg_refcont_in_groups1_notsavedrows'></span>",
  store: store_dbg_refcont_in_groups1,
  applyTo: "dbg_refcont_in_groups1",
  loadMask: true,  sm: new Ext.grid.RowSelectionModel({ singleSelect: true   }),
  frame: true,
  height:200,
  width:400,
  autoEncode: true, 
  listeners: {afteredit : grdOnAfterEdit_dbg_refcont_in_groups1},
  tools:[{id:"refresh", qtip: "Обновить данные", handler: dbgRefreshData_refcont_in_groups1, scope:dbg_refcont_in_groups1},
         {id:"plus",    qtip: "Добавить строку", handler: refcont_in_groups1_onRowAdd, scope:dbg_refcont_in_groups1},
         {id:"minus",   qtip: "Удалить строку", handler: dbgDeleteRow_refcont_in_groups1, scope:dbg_refcont_in_groups1 },
         {id:"save",    qtip: "Сохранить данные", handler: dbgSaveRow_refcont_in_groups1, scope:dbg_refcont_in_groups1 }
   ],
  clicksToEdit: 1,
  columns: [
   {header: "Код группы контакта", dataIndex: "cig_id", width: 60, align: "right" , readOnly: true, hidden: true, sortable: true},
   {header: "Код человека", dataIndex: "people_id", width: 60, editor: edit_refсont_in_groups_people_id, align: "right" , hidden: true, sortable: true},
   {header: "Код группы", dataIndex: "cont_group_id", width: 60, align: "right" , readOnly: true, hidden: true, sortable: true},
   {header: "Имя группы", dataIndex: "group_name", width: 300, editor: edit_refсont_in_groups_group_name, sortable: true}
  ]
  });

function dbgGridUpdateInf_dbg_refcont_in_groups1(grid){
  var el = Ext.get("dbg_refcont_in_groups1_notsavedrows").dom;
  var nsr_str = "";
  var notSavedRows = grid.getStore().getModifiedRecords().length;
  if (notSavedRows > 0){
    nsr_str = "  &nbsp&nbsp[Не сохраненные строки: <font color=red>" 
      + notSavedRows + "</font>] ";
  }
  if (el)
    el.innerHTML = nsr_str;
};



function onSelect_dbgcbx_dbg_refcont_in_groups1_group_name(combo, record, index)
{
  var sm = dbg_refcont_in_groups1.getSelectionModel();
  var sel = sm.getSelected();
  sel.set("cont_group_id", edit_refсont_in_groups_group_name.getValue());
}

edit_refсont_in_groups_group_name.addListener('select', onSelect_dbgcbx_dbg_refcont_in_groups1_group_name);

store_dbg_refcont_in_groups1.allready_first_load = false;
mxl_check_and_load_grid_store(store_dbg_refcont_in_groups1,true);

function grdOnAfterEdit_dbg_refcont_in_groups1(e){
  var rec = e.record;
  if (e.field == "group_name") {
    var sm = dbg_refcont_in_groups1.getSelectionModel();
    var conn = new Ext.data.Connection();
    var field = rec.get("cont_group_id");
      conn.request({
      url: "src/widget/request/getdbgrid.php",
      params: {
        action: "update_link_fields",
        gridName: dbg_refcont_in_groups1.getStore().baseParams["gridName"],
        params: dbg_refcont_in_groups1.getStore().baseParams["params"],
        fieldName: "group_name",
        key: "group_id",
        value: field
      },
      success: function(resp,opt) {
        var row  = Ext.util.JSON.decode(resp.responseText).fields;
        var fail = Ext.util.JSON.decode(resp.responseText).failure;
        if (fail) {
          mxl_showErrorByResponseText(resp.responseText, "Не удалось обновить связанные поля");
        } else {
          if (row) {
            rec.beginEdit();
            rec.set("group_name", row.group_name);
            rec.set("cont_group_id",  0);
            rec.set("cont_group_id",  field);
            rec.endEdit();
          }
        }
      },
      failure: function(resp,opt) {
        Ext.Msg.alert("Ошибка", "Не удалось обновить связанные поля");
      }
    });
  }
};
function strgOnUpdate_store_dbg_refcont_in_groups1(e){
  dbgGridUpdateInf_dbg_refcont_in_groups1(dbg_refcont_in_groups1);
};
function dbgDeleteRow_refcont_in_groups1(event, toolEl, panel){
 var sm = panel.getSelectionModel();
 var sel = sm.getSelected();
 if (sm.hasSelection()){
    Ext.Msg.show({
    title: "Удаление строки",
    buttons: Ext.MessageBox.YESNO,
    msg:"Вы уверены что хотите удалить выбранные строки из \"" + panel.title + "\"?", 
    fn: function(btn){
         if (btn == "yes"){
          if (sel.get(panel.store.baseParams["pkey"]) > 0)  {
             var conn = new Ext.data.Connection();
             conn.request({
             url: "src/widget/request/getdbgrid.php",
             params: {
             action: "delete",
             gridName: panel.getStore().baseParams["gridName"],
             params: panel.getStore().baseParams["params"],
             key: sel.get(panel.getStore().baseParams["pkey"])
            ,sid:""
               },
             success: function(resp,opt) {
               var fail = Ext.util.JSON.decode(resp.responseText).failure;
               if (fail) {
                 mxl_showErrorByResponseText(resp.responseText, "Не удалось удалить строку");
                } else {

                 panel.getStore().remove(sel);
                 dbgGridUpdateInf_dbg_refcont_in_groups1(dbg_refcont_in_groups1);
               }
              },
             failure: function(resp,opt) {
               Ext.Msg.alert("Ошибка", "Не удалось удалить строку");
              }
             });
            } else {
               panel.getStore().remove(sel);
               dbgGridUpdateInf_dbg_refcont_in_groups1(dbg_refcont_in_groups1);
            }
          }
        }
    })
 } else {
     Ext.MessageBox.alert("Сообщение", "Не выбрана строка." )
 };
};
function dbgRefreshData_refcont_in_groups1(event, toolEl, panel){
  panel.getStore().rejectChanges();
  panel.getStore().reload();
  strgOnUpdate_store_dbg_refcont_in_groups1(panel.getStore());
};
function dbgSaveRow_refcont_in_groups1(event, toolEl, panel) {
  var sm = panel.getSelectionModel();
  var modRec = sm.grid.store.getModifiedRecords();
  if (modRec.length < 1)
	  return;

  var pKey = panel.getStore().baseParams["pkey"];
  var keys       = new Array();
  var recordIds  = new Array();
  var rowsTS = new Array();
  for ( var i = 0; i < modRec.length; i++) {
    var curRec   = modRec[i];

    rowsTS[i]    = curRec.data;
    recordIds[i] = curRec.id;
    key1 = curRec.get(pKey);
    keys[i]      = (key1 ? key1 : "");
  }
  var keysData   = Ext.encode(keys);
  var rowsTSData = Ext.encode(rowsTS);

  var conn = new Ext.data.Connection();  conn.request({    url: "src/widget/request/getdbgrid.php",
    params: {
      action: "saverows",
      gridName: panel.getStore().baseParams["gridName"],
      params: panel.getStore().baseParams["params"],
      keys: keysData,
      rowsData: rowsTSData
      ,sid:""
    },
    success: function(resp,opt) {
      var fail = Ext.util.JSON.decode(resp.responseText).failure;
      if (fail) {
        mxl_showErrorByResponseText(resp.responseText, "Не удалось сохранить данные");
      } else {

        var row_is_saved = Ext.util.JSON.decode(resp.responseText).row_is_saved;
        var insert_ids   = Ext.util.JSON.decode(resp.responseText).insert_ids;
        for(var i = 0; i < row_is_saved.length; i++){
        	if (row_is_saved[i]){
        		var insert_id = insert_ids[i];
        		var recordToCh = sm.grid.store.getById(recordIds[i]);
        		if (insert_id > 0)
        			recordToCh.set(pKey, insert_id);
        		recordToCh.commit();
        	}else
        		Ext.Msg.alert("Ошибка", "Не удалось сохранить данные");
        }
      }
    },
    failure: function(resp,opt) {
      Ext.Msg.alert("Ошибка", "Не удалось сохранить данные");
    }
  });
}



var root = window.addEventListener || window.attachEvent ?
    window : 
    document.addEventListener ? document : null;
root.onbeforeunload = mxl_onbeforeunload;

Ext.QuickTips.init();

  Ext.data.DataProxy.addListener('exception', function(proxy, type, action, options, response, arg) {
    if (type == 'response'){
      mxl_showErrorByResponseText(response.responseText, ""); 
    } else {      Ext.Msg.show({ 
        title: 'Ошибка',
        msg: print_r(response),
        icon: Ext.MessageBox.ERROR,
        buttons: Ext.Msg.OK
      });
    }
  });
}


Ext.util.Format.comboRenderer = function(combo) {
	return function(value) {
		var record = combo.findRecord(combo.valueField, value);
		return record ? record.get(combo.displayField) : combo.valueNotFoundText;
	}
}


function Get_SID() {
  var pageParameters = Ext.urlDecode(window.location.search.substring(1));
  return pageParameters["sid"];
}
